Bug 64951 - vim-common can save 6M by using links like glibc-common
Summary: vim-common can save 6M by using links like glibc-common
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 00:16 UTC by Need Real Name
Modified: 2007-03-27 03:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 00:16:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-15 00:16:17 UTC
Description of Problem:
* vim-common has many duplicate files
* It could be made 6M smaller by using soft or hard links
* This technique (hard links) is used by the glibc-common RPM


Version-Release number of selected component (if applicable):
* vim-common-6.1-2.i386.rpm


How Reproducible:
* Install vim-common


Steps to Reproduce:
1. rpm -ivh vim-common
2. cksum `rpm -ql vim-common` | sort -n | less
3. Note many duplicates


Actual Results:
* vim-common uses 12.6M


Expected Results:
* With links, vim-common would use 6.7M


Additional Information:

Comment 1 Karsten Hopp 2002-08-15 18:29:36 UTC
It was a bug in the specfile. runtime file were marked as doc and thus copied to 
/usr/share/docs in addition to /usr/share/vim


Note You need to log in before you can comment on or make changes to this bug.